From 2bd7e86f7ce4991457c3a5ba524aa5d4fd4ecf95 Mon Sep 17 00:00:00 2001
From: Masahiro Nakamura <13937915+tsuu32@users.noreply.github.com>
Date: Wed, 4 Dec 2019 19:07:31 +0900
Subject: [PATCH] Prevent redisplay between events from insertText

---
 src/keyboard.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/keyboard.c b/src/keyboard.c
index 7d3b024..30fd526 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -2896,6 +2896,12 @@ read_char (int commandflag, Lisp_Object map,
 	   example banishing the mouse under mouse-avoidance-mode.  */
 	timer_resume_idle ();
 
+#ifdef HAVE_NS
+      if (CONSP (c)
+          && (EQ (XCAR (c), intern ("ns-unput-working-text"))))
+        input_was_pending = input_pending;
+#endif
+
       if (current_buffer != prev_buffer)
 	{
 	  /* The command may have changed the keymaps.  Pretend there
-- 
2.21.0

